package java.rmi.server;

import java.net.MalformedURLException;

public abstract class RMIClassLoaderSpi
{
    public RMIClassLoaderSpi() {
    }
    
    public abstract Class<?> loadClass(String p0, String p1, ClassLoader p2) throws MalformedURLException, ClassNotFoundException;
    
    public abstract Class<?> loadProxyClass(String p0, String[] p1, ClassLoader p2) throws MalformedURLException, ClassNotFoundException;
    
    public abstract ClassLoader getClassLoader(String p0) throws MalformedURLException;
    
    public abstract String getClassAnnotation(Class<?> p0);
}
